<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\Migrations\Main;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20260324144420 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Add an external id for centers';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE public.centers ADD externalId TEXT DEFAULT \'\' NOT NULL');
        $this->addSql('CREATE UNIQUE INDEX centers_external_id_unique ON public.centers (externalId) WHERE externalId <> \'\'');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('DROP INDEX public.centers_external_id_unique');
        $this->addSql('ALTER TABLE public.centers DROP externalId');
    }
}
